# SNESDefaultRhsBC

The default boundary condition function which does nothing.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESDefaultRhsBC(SNES snes, Vec rhs, void *ctx)

Not collective

### Input Parameters

snes -The nonlinear solver context
rhs -The Rhs
ctx -The user-context

### Keywords

SNES, Rhs, boundary conditions

### See Also

SNESSetRhsBC(), SNESDefaultSolutionBC(), SNESDefaultUpdate()

Level:beginner
Location:src/snes/interface/snes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages